Exception::getFile
Exception::getTrace
Exception
PHP Manual

# Exception::getLine

(PHP 5 >= 5.1.0)

Exception::getLine — Obtém a linha na qual a exceção ocorreu

### Descrição

final public string Exception::getLine ( void )

Retorna o número da linha onde a exceção foi disparada.

### Parâmetros

Esta função não possui parâmetros.

### Valor Retornado

Retorna o número da linha onde a exceção foi disparada.

### Exemplos

Exemplo #1 Exemplo da Exception::getLine()

`<?php
try {
throw new Exception("Some error message");
} catch(Exception $e) {
echo "The exception was thrown on line: " . $e->getLine();
}
?>`

O exemplo acima irá imprimir algo similar à:

    The exception was thrown on line: 3

Exception::getFile
Exception::getTrace
Exception
PHP Manual